package org.jeecg.modules.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.system.entity.SysChangeMsg;
import org.jeecg.modules.system.mapper.SysChangeMsgMapper;
import org.jeecg.modules.system.service.ISysChangeMsgService;
import org.springframework.stereotype.Service;

/**
 * @Description: sys_change_msg
 * @Author: jeecg-boot
 * @Date:   2022-01-22
 * @Version: V1.0
 */
@Service
public class SysChangeMsgServiceImpl extends ServiceImpl<SysChangeMsgMapper, SysChangeMsg> implements ISysChangeMsgService {

    @Override
    public void saveChangeMsg(String TenantId, String msgUrl, String data, String oprateType, Integer Type) {
        SysChangeMsg sysChangeMsg = new SysChangeMsg();
        sysChangeMsg.setTenantId(TenantId);
        sysChangeMsg.setUrl(msgUrl);
        sysChangeMsg.setData(data);
        sysChangeMsg.setOprateType(oprateType);
        sysChangeMsg.setType(Type);
        sysChangeMsg.setFlag(0);
        sysChangeMsg.setDelFlag(0);
        int insert = baseMapper.insert(sysChangeMsg);
    }
}
